declare @userId uniqueidentifier, @businessUnitId uniqueidentifier, @statusId uniqueidentifier, @interestId uniqueidentifier, @masterInterestId uniqueidentifier, @counter numeric;

set @userId = (select systemuserid from EbsMetadata.SystemUser where UserName = 'host');
set @businessUnitId = (select BusinessUnitId from EbsMetadata.BusinessUnit where Name = 'root');
set @statusId = (select entitystatusid from EbsMetadata.EntityStatus where name = 'Active');

set @masterInterestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'IRWM-01');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'F1.5');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 1, 60, '2022-01-19', '2029-11-29');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'V1.75');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 61, 480, '2022-01-19', '2029-11-29');

set @masterInterestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'IRWM-02');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'F1.85');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 1, 24, '2022-01-19', '2029-11-29');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'V3.75');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 25, 480, '2022-01-19', '2029-11-29');

set @masterInterestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'IRWM-03');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'F1.95');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 1, 36, '2022-01-19', '2029-11-29');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'V3.25');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 37, 480, '2022-01-19', '2029-11-29');

set @masterInterestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'IRWM-04');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'F1.75');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 1, 60, '2022-01-19', '2029-11-29');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'V2.75');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 61, 480, '2022-01-19', '2029-11-29');


set @masterInterestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'IRWM-05');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'V1.75');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 1, 36, '2022-01-19', '2029-11-29');
set @interestId = (select FTOS_BP_Interestid from ebs.FTOS_BP_Interest  where Code = 'V2.75');
set @counter = (select count(*) from ebs.FTOS_BP_InterestRateMatrix where FTOS_BP_InterestId = @masterInterestId and InterestId = @interestId)
IF @counter = 0
	insert into ebs.FTOS_BP_InterestRateMatrix (FTOS_BP_InterestRateMatrixid, FTOS_BP_InterestId, InterestId, EntityStatusId, UserId, CreatedByUserId, ModifiedByUserId, CreatedOn, ModifiedOn, BusinessUnitId, StartPeriod, EndPeriod, CollectionStartDate, CollectionEndDate) values
	(NEWID(), @masterInterestId, @interestId, @statusId, @userId, @userId, @userId, GETDATE(), GETDATE(), @businessUnitId, 37, 480, '2022-01-19', '2029-11-29');