declare @formName nvarchar(max), @formId uniqueidentifier, @domainId uniqueidentifier, @count numeric;
set @domainId = (select B2CFrontendDomainid from EbsMetadata.B2CFrontendDomain where Name = 'B2C');

declare forms_cursor cursor for 
select f.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.EntityForm f on aci.RecordId = f.entityformid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'BAN-RMC-I';

open forms_cursor
fetch next from forms_cursor into @formName
while @@FETCH_STATUS = 0 
begin
	set @formId = (select entityformid from EbsMetadata.EntityForm where Name = @formName);
	set @count = (select count(*) from EbsMetadata.B2C_UserJourney where entityformid = @formId and B2CFrontendDomainid = @domainId);
	if @count = 0 and @formId is not null
		insert into EbsMetadata.B2C_UserJourney (B2C_UserJourneyid, entityformid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);
	fetch next from forms_cursor into @formName
end
close forms_cursor
deallocate forms_cursor