declare @dataSetName nvarchar(max), @statusId uniqueidentifier, @statusClosedId uniqueidentifier, @version numeric;
SET @statusId = ebs.GetBWStatusId('Active','FTOS_CALC_CoefficientMatrixType');
SET @statusClosedId = ebs.GetBWStatusId('Closed','FTOS_CALC_CoefficientMatrixType');

declare dataSet_cursor cursor for 
select d.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.FTOS_CALC_CoefficientMatrixType d on aci.RecordId = d.FTOS_CALC_CoefficientMatrixTypeid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'RAN-RMC-SDK';

open dataSet_cursor
fetch next from dataSet_cursor into @dataSetName
while @@FETCH_STATUS = 0 
begin
	set @version = (select top(1) Version from EbsMetadata.FTOS_CALC_CoefficientMatrixType where Name = @dataSetName order by version desc);

	update EbsMetadata.FTOS_CALC_CoefficientMatrixType
	set BusinessStatusId = @statusId, StartDate = GETDATE()
	where Name = @dataSetName and Version = @version;

	update EbsMetadata.FTOS_CALC_CoefficientMatrixType
	set BusinessStatusId = @statusClosedId, EndDate = GETDATE()
	where Name = @dataSetName and Version != @version;

	fetch next from dataSet_cursor into @dataSetName
end
close dataSet_cursor
deallocate dataSet_cursor