declare @formulaName nvarchar(max), @statusId uniqueidentifier, @statusCloseId uniqueidentifier, @version numeric;
SET @statusId = ebs.GetBWStatusId('Active','FTOS_CALC_Formula');
SET @statusCloseId = ebs.GetBWStatusId('Closed','FTOS_CALC_Formula');

declare formula_cursor cursor for 
select f.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.FTOS_CALC_Formula f on aci.RecordId = f.FTOS_CALC_Formulaid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'BAN-RMC-SDK';

open formula_cursor
fetch next from formula_cursor into @formulaName
while @@FETCH_STATUS = 0 
begin
	set @version = (select top(1) Version from EbsMetadata.FTOS_CALC_Formula where Name = @formulaName order by version desc);

	update EbsMetadata.FTOS_CALC_Formula
	set BusinessStatusId = @statusId, StartDate = GETDATE()
	where Name = @formulaName and Version = @version;

	update EbsMetadata.FTOS_CALC_Formula
	set BusinessStatusId = @statusCloseId, EndDate = GETDATE()
	where Name = @formulaName and Version != @version;

	fetch next from formula_cursor into @formulaName
end
close formula_cursor
deallocate formula_cursor